%define upstream_name List-Objects-WithUtils
%define upstream_version 2.028003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    List objects, kitchen sink included
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(List::UtilsBy) >= 0.90.0
BuildRequires: perl(Module::Runtime) >= 0.13.0
BuildRequires: perl(Role::Tiny) >= 1.3.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Type::Tie) >= 0.4.0
BuildRequires: perl(autobox)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strictures) >= 2.0.0
BuildArch:  noarch

%description
A set of roles and classes defining an object-oriented interface to Perl
hashes and arrays with useful utility methods, junctions, type-checking
ability, and optional autoboxing.

Originally derived from Data::Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.28.3-4.mga8
+ Revision: 1495400
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.28.3-3.mga7
+ Revision: 1268891
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.28.3-2.mga6
+ Revision: 1029205
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 2.28.3-1.mga6
+ Revision: 1002079
- update to 2.028003

* Fri Feb 19 2016 umeabot <umeabot> 2.22.1-2.mga6
+ Revision: 968788
- Mageia 6 Mass Rebuild

* Sun Jul 19 2015 sander85 <sander85> 2.22.1-1.mga6
+ Revision: 855309
- update to 2.022001

* Sat Jun 27 2015 sander85 <sander85> 2.21.3-1.mga6
+ Revision: 845839
- update to 2.021003

* Wed Oct 15 2014 umeabot <umeabot> 2.15.1-3.mga5
+ Revision: 746904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.15.1-2.mga5
+ Revision: 685240
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 2.15.1-1.mga5
+ Revision: 673730
- update to 2.015001

* Thu Jul 24 2014 sander85 <sander85> 2.14.2-1.mga5
+ Revision: 656301
- update to 2.014002

* Tue Jul 01 2014 sander85 <sander85> 2.13.1-1.mga5
+ Revision: 641850
- update to 2.013001

* Fri Jun 27 2014 sander85 <sander85> 2.12.1-1.mga5
+ Revision: 640335
- update to 2.012001

* Thu Jun 26 2014 jquelin <jquelin> 2.11.2-1.mga5
+ Revision: 640000
- update to 2.011002

* Sun Jun 22 2014 sander85 <sander85> 2.11.1-1.mga5
+ Revision: 638664
- update to 2.011001

* Fri May 02 2014 sander85 <sander85> 2.10.2-1.mga5
+ Revision: 619444
- update to 2.010002

* Thu Mar 20 2014 jquelin <jquelin> 2.10.1-1.mga5
+ Revision: 606184
- update to 2.010001

* Thu Mar 13 2014 jquelin <jquelin> 2.9.1-1.mga5
+ Revision: 602926
- update to 2.009001

* Sun Feb 09 2014 sander85 <sander85> 2.8.2-1.mga5
+ Revision: 587622
- imported package perl-List-Objects-WithUtils

